#!/usr/bin/env node

/**
 * Compile to browser source
 */

'use strict'

process.chdir(`${__dirname}/..`)

const apeTasking = require('ape-tasking')
const apeCompiling = require('ape-compiling')
const filedel = require('filedel')
const filecopy = require('filecopy')

apeTasking.runTasks('browser', [
  () => filedel('browser/**/*.js'),
  () => apeCompiling.compileToEs5('**/+(*.js)', {
    cwd: 'lib',
    out: 'browser'
  }),
  () => filecopy('lib/buildin/*.json', 'browser/buildin/')
], true)
